Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80881 - Mouse setting "Locate pointer" makes workspace switching with keyboard unreliable
Summary: Mouse setting "Locate pointer" makes workspace switching with keyboard unreli...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: control-center
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-01 18:06 UTC by Daniel Resare
Modified: 2008-01-17 17:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-31 19:33:55 UTC


Attachments (Terms of Use)

Description Daniel Resare 2003-01-01 18:06:33 UTC
Description of problem:

If I enable the "Locate pointer" feature in the Mouse settings (Under the
"Cursors" tab) and then try to switch workspace with ctrl-alt-<arrow> it doesn't
work reliably. When i deselect the "Locate pointer" feature switching workspaces
works correctly

Version-Release number of selected component (if applicable):
control-center-2.1.3-1
metacity-2.4.8-1

How reproducible:
Always

Steps to Reproduce:
1. Open Mouse preferences
2. Select the "Cursors" tab and check the box in the "Locate pointer" section
3. Try to move between workspaces with ctrl-alt-(some arrow key)
    
Actual results:
When you hold down the ctrl-alt combination and press the wanted arrow-key it
often doesn't react (doesn't switch workspace) the first time. (perhaps 80% of
the time) but need repeated presses on the arrow key in question to "start working"

Expected results:
Correct movement between the different workspaces

Additional info:

Comment 1 Havoc Pennington 2003-01-02 20:32:23 UTC
This is why all keybindings need to be done in the window manager, 
instead of in gnome-settings-daemon... 

Anyway, will consider this a control-center bug for now.

Comment 2 Jonathan Blandford 2003-01-24 17:38:50 UTC
I don't know how to fix this in the control-center (short of moving it to
metacity...)  Did you have a fix in mind, Havoc?

Comment 3 Ray Strode [halfline] 2005-05-12 15:46:46 UTC
Hi,
I'm going through bugs assigned to me and attempting to clean some of the older,
fixed ones up.

This bug hasn't changed in over a year old now.  Are you still seeing the problem? 

(This a batch message is being sent to all my bugs that haven't changed in a year)

Comment 4 Ray Strode [halfline] 2005-05-31 19:33:55 UTC
Hi,

This bug has been in the NEEDINFO state for at least a couple of weeks now.  I'm
going to close the bug, but if you can provide the required information feel
free to open a new report.

Thanks.

(This is a mass message being sent to a bunch of bug reports)


Note You need to log in before you can comment on or make changes to this bug.